*{
  margin: 0;
  padding: 0;
}

html {
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-family: 'Fira Sans', sans-serif;
}

footer {
  flex: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-bottom: 0px;
}

@media only screen and (min-width: 601px){
  .menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    list-style: none;
    margin: 0;
    padding: 0;
    height: 50px;
    background-color: #538fcd;
  }

  .menu1 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    flex-grow:0.5;
    list-style: none;
    margin: 0;
    padding: 0;
    height: 50px;
  }

  .menu1 a:hover{
    color: white;
    background-color: black;
    border-radius: 8px;
    height: 100%;
  }

  .menu2 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    flex-grow:0.5;
    list-style: none;
    margin: 0;
    padding: 0;
    padding-right: 10px;
    height: 50px;
  }
}

button {
    padding: 10px;
    border: 0;
    border-radius: 3px;
    font-size: 1em;
    cursor: pointer;

}

.bots {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.bot {
    background: #538fcd;
    color: #fff;
    margin: 2px;
    border-radius: 7px;
    margin-top: 5px;
}

.cancel {
    background: #cd5353;
    color: #fff;
    margin: 2px;
    border-radius: 7px;
}

#dia {
    padding: 10px;
    border: 0;
    font-size: 1em;
    cursor: pointer;
    background: #538fcd;
    color: #fff;
    margin: 2px;
    border-radius: 7px;
}

#user {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

li {
  padding-left:10px;
}

.menu a {
  color: black;
  text-decoration: none;
  padding: 5px 5px;
  display: inline-block;
  width: 100%;
  text-align: center;
}

#bars {
  display: none;
}

#admin {
  display: none;
}

#user {
  display: none;
}

#logout {
  display: none;
}

#editar {
  display: none;
}

.login {
  display: none;
}

.titulo {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  height: 100px;
}

.productos {
  display: flex;
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
  border-radius: 9px;
}

.banner {
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  border-radius: 9px;
}

.banner a {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 90%;
  margin: 5px;
}

.items {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 25%;
  padding: 25px;
  margin: 5px;
}

.foto {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 10px;
  border: 1px solid blue;
  padding: 5px;
  width: 400px;
  height: 220px;
  margin-bottom: 8px;
}

#salas {
  width: 400px;
  height: 220px;
}

.horas1 {
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  border-radius: 9px;
}

.horas2 {
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  align-items: center;
  width: 70%;
  height: 180px;
  padding: 10px;
  margin: 5px;
}

.horas2 label {
  margin: 5px;
  padding: 5px;
  border-radius: 7px;
  background-color: #bfbfbf;
  border: 2px solid #538fcd;
}

.perfil {
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
  margin-top: 15px;
  border-radius: 9px;
}

.editar {
  display: none;
}

/* Navegacion de perfil */
.menu2 li:not(:first-child){
  display: none;
}

.menu2.responsive {
  position: relative;
}

.menu2.responsive li:not(:first-child) {
  float: none;
  display: block;
  text-align: left;
}

.edit {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: auto;
  padding: 25px;
  margin: auto;
}

.edit fieldset {
  width: 45%;
  align-self: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.tabla {
  display: flex;
  flex-flow: column;
  justify-content: flex-start;
  align-items: center;
  margin: 5px;
}

.tabla td,th {
  border:1px solid black;
  border-collapse: collapse;
}

.tabla th {
  padding: 4px;
  padding-left: 12px;
  padding-right: 12px;
  background-color: lightgrey;
}

.tabla td {
  text-align: center;
  padding: 3px;
}

.tabla td.icon {
  border: 0;
}

@media only screen and (max-width: 1580px){
  .items {
    width: 45%;
  }

  .foto {
    width: 450px;
    height: 250px;
  }

  #salas{
    width: 450px;
    height: 250px;
  }
}

@media only screen and (max-width: 1259px){
  .items {
    width: 40%;
  }

  .foto {
    width: 350px;
    height: 200px;
  }

  #salas{
    width: 350px;
    height: 200px;
  }
}

@media only screen and (max-width: 850px){
  .items {
    width: 90%;
  }

  .foto {
    width: 650px;
    height: 380px;
  }

  #salas{
    width: 650px;
    height: 380px;
  }
}

@media only screen and (max-width: 750px){
  .items {
    width: 90%;
  }

  .foto {
    width: 450px;
    height: 280px;
  }

  #salas{
    width: 450px;
    height: 280px;
  }
}

/* Navegacion responsive */
@media screen and (max-width: 600px) {
  .menu {
    display: flex;
    flex-direction: row;
    width: auto;
    align-items: top;
    list-style: none;
    margin: 0;
    padding: 0;
    background-color: #538fcd;
  }

  .menu2 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    flex-grow:0.5;
    list-style: none;
    margin: 0;
    padding: 0;
    padding-right: 10px;
    height: 50px;
  }

  .menu1 li:not(:first-child){
    display: none;
  }

  #bars {
    display: flex;
  }

  .menu1 {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    flex-grow:0.5;
    list-style: none;
    margin: 0;
    padding: 0;
    height: 50px;
  }
/*
  .menu1 {
    display: flex;
    flex-direction: column;
    flex-grow:0.8;
    text-align: center;
    justify-content: flex-start;
    border: 1px solid red;
    list-style: none;
    padding: 0;
    height: 50px;
  } */

  .menu1.responsive {
    display: flex;
    flex-direction: column;
    align
    flex-grow: 0.5;
    height: 170px;
  }

  .menu1.responsive li:not(:first-child) {
    height: 30px;
    display: flex;
    flex-grow:0.5;
  }

  .menu1.responsive a:not(:first-child):hover {
    color: white;
    background-color: blue;
    border-radius: 8px;
  }

  .menu2 li {
    margin: 3px;
  }

  #user img {
    display: none;
  }
}

@media only screen and (max-width: 500px){
  .items {
    width: 90%;
  }

  .foto {
    width: 300px;
    height: 180px;
  }

  #salas{
    width: 300px;
    height: 180px;
  }
}
